Bug 40804 - Installer crashes after "I have found the following devices in your system: Adaptec AHA-2740, 28xx, 29xx, 39xx" message
Installer crashes after "I have found the following devices in your system: A...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-15 21:19 EDT by dwr1
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description dwr1 2001-05-15 21:19:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.2.14-5.0 i586; Nav)

Description of problem:
After several attempts at installation (both graphical and text)
of RH 7.1 ( from local CDROM ) on a box currently running RH 6.2, I
attempted an install using "expert noprobe".  After getting through the
first 3 or 4 screens,
the installer crashed immediately after displaying the message, "I have
found
the following devices in your system: Adaptec AHA-2740, 28xx, 29xx, 39xx".

How reproducible:
Always

Steps to Reproduce:
1. Run installation of RH 7.1
2. Select Local CDROM option
3. Pop! goes the weasel.
	

Actual Results:  System crash

Expected Results:  Successful installation

Additional info:

This might be a duplicate of the "aic7xxx module" bug, #29555,
but my symptoms and hardware seemed different enough to warrant a new bug
report.

After several attempts at installation (both graphical and text)
of RH 7.1 ( from local CDROM ) on a box currently running RH 6.2, I
attempted an install using "expert noprobe".  After getting through the
first 3 or 4 screens,
the installer crashed immediately after displaying the message, "I have
found
the following devices in your system: Adaptec AHA-2740, 28xx, 29xx, 39xx".

Hardware:

CPU: Pentium 133 MHz
RAM: 80 Mbytes
MBoard: Micron M-M54Hi-09PM
BIOS: Phoenix v. 4.04
Floppy drive: 1
IDE drives: none
SCSI drives: 1 IBM HDD, 1 Plextor CDROM
SCSI adapter: Adaptec AHA-2930CU
SCSI BIOS: 1.34.1

Contents of v4 screen:

<4> pgd entry c4f9c000: 0000000000000000
<4> pmd entry c4f9c000: 0000000000000000
<4> ... pmd not present!
<4> Oops: 0002
<4> CPU: 0
<4> EIP: 0010: [<c012fe92>]
<4> EFLAGS: 00010246
<4> eax: 00000000  ebx: 0003048c  ecx: 00000018  edx: c4aed000
<4> esi: 00000000  edi: 0003048c  ebp: 00000800  esp: c4a3be1c
<4> ds: 0018  es: 0018  ss: 0018
<4> Process loop0 (pid: 26, stackpage=c4a3b000)
<4> Stack: 00000000 00000800 c012ff3d c4ae2f10 c49c9878 c498c14c c4a3be8c
c4ae2f10
<4>        00000000 c11cdf0c 00000b00 00002bd4 c0130203 c113df0c 00000800
00000001
<4>        00000000 00000800 c4a8c4f8 c0130881 c113df0c 00000b00 00000800
00001000
<4> Call Trace: [<c012ff3d>] [<c0130203>] [<c0120881>] [<c01212c5>]
[<c01218ac>] [<c015063c>] [<c0121b12>]
<4>             [<c016449f>] [<c0161af8>] [<c01619c0>] [<ffff0b00>]
[<c0161b78>] [<c0161ff8>] [<c0161f2c>] [<ffff0b00>]
<4>             [<ffff0b00>] [<c01074fe>] [<c0161f2c>]
<4>
<4> Code: f3 ab 8d 53 48 c7 43 48 00 00 00 00 8d 43 4c 89 42 04 89 42



Contents of v3 screen:

* going into insmod ide_cd.o (path is NULL)
* going into insmod scsi_mod.o (path is NULL)
* going into insmod sd_mod.o (path is NULL)
* going into insmod sr_mod.o (path is NULL)
* loking for usb controllers
* no usb controllers found
* probing for ide floppies
* no ide floppy devices found
* looking for video cards requiring agpgart module
* found video card controller unknown
* in start Pcmcia()
* pcmcia probe returned: |PCI bridge probe: not found.
Intel PCIC probe: not found.
Databook TCIC-2 probe: not found.
|
* no pcic controller found
* 127 keymaps are available
* loaded 9 keymap tables
* starting to STEP_URL
* going to insmod aic7xxx.o (path is NULL)
* trying to mount device scd0
* loopfd is 7
* got url cdrom://scd0/mnt/source
* getting ready to spawn shell now

Let me know if you need any further detail.
RH 7.1 installed clean on my other box, an AMD Tbird 800 MHz with an
Adaptec 29160N controller, 1 IBM SCSI drive, 1 SCSI CDRW, 1 SCSI CDROM,
and no IDE hard drives.

Thanks for your assistance.
Comment 1 Arjan van de Ven 2001-05-17 13:58:13 EDT
This is a different bug all right. 29555 is about the one specific motherboard
chipset.

Could you try booting with "mem=64" as option? maybe the memory-detection goes
wrong.



>>EIP; c012fe92 <get_unused_buffer_head+46/90>   <=====
Trace; c012ff3d <create_buffers+21/1a0>
Trace; c0130203 <create_empty_buffers+17/68>
Trace; c0120881 <__insert_vm_struct+dd/170>
Trace; c01212c5 <add_to_page_cache_unique+a9/b8>
Trace; c01218ac <generic_file_readahead+208/278>
Trace; c015063c <isofs_get_block+0/1a0>
Trace; c0121b12 <do_generic_file_read+1f6/514>
Trace; c0161af8 <lo_receive+78/b0>
Trace; c01619c0 <lo_read_actor+0/c0>
Trace; c0161b78 <do_bh_filebacked+48/50>
Trace; c0161ff8 <loop_thread+cc/1d0>
Trace; c0161f2c <loop_thread+0/1d0>

is the decoded backtrace.
Comment 2 dwr1 2001-05-18 20:06:57 EDT
OK, I tried an installation using 'expert noprobe "mem=64" '.
Here's the blow-by-blow...

After making it through the first 3 or 4 selection screens,

Message displayed is: "I could not find a Red Hat Linux CD-ROM in
any of your CDROM drives.  Please insert the Red Hat CD and press
"OK" to retry."

Before hitting "OK", the contents of v4 screen are:

<4>   Vendor: Plextor  model: CD_ROM PX-6XCS  Rev. 1.00
<4>   Type:  CD_ROM                           ANSI SCSI revision: 02
<4> Attached scsi disk sda at scsi0, channel 0, id 0, lun 0
<4> Attached scsi disk CD-ROM at scsi0, channel 0, id 6, lun 0
<6> (scsi0:0:6:0) Synchronus at 5.0 Mbytes/sec, offset 15.
<4> sr0: scsi-1 drive
<6> Uniform CD-ROM driver Revision: 3.12
<6> (scsi0:0:6:0) Synchronus at 20.0 Mbytes/sec, offset 15.
<4> SCSI device sda: 8925000 512-byte hdwr sectors (4570 MB)
<6> Partition check:
<6> sda: sda1 sda2 <sda5 sda6
<4> (scsi0:0:0:0) Data overrun detected in Data-In phase, tag 0.
<4> Have seen Data Phase, Length=1024, NumSGs=1.
<4> Raw SCSI command: 0x28 00 00 42 69 53 00 00 02 00
<4> sda7 sda8 sda9 sda10>
<7> ISO 9660 Extensions: RRIP_1991A
<4> (scsi0:0:6:0) Data overrun detected in Data-In phase, tag 0.
<4> Have seen Data Phase, Length=2048, NumSGs=1.
<4> Raw SCSI command: 0x28 00 00 00 00 2b 00 00 01 00
<4> scsi0 channel 0: resetting for second half of retries.
<4> SCSI bus is being reset for host 0 channel 0.
<6> (scsi0:0:6:0) Synchronus at 5.0 Mbytes/sec, offset 15.
<6> Device 0b:00 not ready.
<4> I/O error: dev 0b:00, sector 172

I then hit "OK" to attempt to Retry.
I then get the message, "I have found the following devices in your system:
Adaptec AHA-2740, 28xx, 29xx, 39xx."
I then select "Done".

Then the installer crashes, giving this message: "install exited abnormally --
received signal 11"

Going back to v4 screen shows the additional two lines at the bottom now.

<7> ISO 9660 Extensions: RRIP_1991A
<4> Unable to identify CD-ROM format.

That where it stands at this point.

Thanks.
Comment 3 Bugzilla owner 2004-09-30 11:39:00 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.